package com.simuwang.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.MailboxInfoDO;
import com.simuwang.base.pojo.dto.query.EmailPageQuery;
import com.simuwang.base.pojo.vo.MailboxInfoTableVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MailboxInfoMapper extends BaseMapper<MailboxInfoDO> {

    /**
     * 查询配置邮箱信息
     *
     * @return 配置邮箱信息
     */
    List<MailboxInfoDO> listMailboxInfo();

    List<MailboxInfoDO> searchEmailConfigList(EmailPageQuery emailPageQuery);

    void deleteEmailConfigByIds(@Param("ids") List<Integer> split);

    MailboxInfoDO selectEmailConfigByEmail(@Param("email") String email);

    long countEmailConfig(EmailPageQuery emailPageQuery);

    MailboxInfoDO searchEmailConfigById(@Param("id")Integer id);

    List<MailboxInfoDO> getAll();
}
